<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <title>BeagleBone Black Demo</title>
 
    <!-- jQuery and jQuery Mobile -->
    <link rel="stylesheet" href="http://code.jquery.com/mobile/1.3.1/jquery.mobile-1.3.1.min.css" />
    <script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
    <script src="http://code.jquery.com/mobile/1.3.1/jquery.mobile-1.3.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script src="/devicelist.js"></script>
    <script src="/devicelist.js"></script>

</head>
<body>

<script>

                    
</script>

	
<!-- Home -->
<div data-role="page" id="page1" align="center">
  <div data-role="header" class="ui-header ui-bar-a" role="banner" style="max-width:600px;" align="center">
		<h1 class="ui-title" role="heading" aria-level="1">ZigBee IoT Meh Demo</h1>
	</div>     
  
  <div data-role="content" align="center" >
    <div id="devListDiv" data-role="fieldcontain" style="max-width:600px;" align="center">
      <ul data-role="listview" data-inset="true" id="devList" data-theme="a"></ul>	
    </div>
        
    <div data-role="controlgroup" data-type="horizontal">
      <a href="#AddDeviceDialog" data-icon="plus" data-rel="popup" id="AddDeviceButton" data-role="button" data-transition="pop" data-position-to="window" >Add Device</a>
    </div>
    
    <div data-role="popup" id="AddDeviceDialog" data-overlay-theme="c" data-theme="c" style="max-width:400px;" class="ui-corner-all ui-popup ui-body-c ui-overlay-shadow" aria-disabled="false" data-disabled="false" data-shadow="true" data-corners="true" data-transition="none" data-position-to="origin">
			<div data-role="header" data-theme="c" class="ui-corner-top ui-header ui-bar-a" role="banner">
        <div role="main" class="ui-content"  style="width:300px;">
          <h3 class="ui-title">Searching for new devices</h3>
          <div data-role="fieldcontain"">
            <div id="AddDevListDiv" data-role="fieldcontain" data-theme="c">
        	    <br>
    	        <ul data-role="listview" data-inset="true" id="addDevDevList" data-theme="c"></ul>
    	        <br>	
            </div>		  		
          <a href="#" id="AddDeviceDoneButton" data-role="button" data-inline="true" data-rel="back" data-theme="c" data-corners="true" data-shadow="true" data-iconshadow="true" data-wrapperels="span" class="ui-btn ui-shadow ui-btn-corner-all ui-btn-inline ui-btn-up-c"><span class="ui-btn-inner ui-btn-corner-all"><span class="ui-btn-text">Done</span></span></a>    
	  		</div>
	  	</div>
    </div>
    
    <div data-role="popup" id="popupDialog" data-overlay-theme="c" data-theme="c" data-dismissible="false" style="max-width:400px;">
      <div data-role="header" data-theme="c">
        <h1>Add Device</h1>
      </div>
      <div role="main" class="ui-content">
        <h3 class="ui-title">Searching for new devices</h3>
        <div id="AddDevListDiv" data-role="fieldcontain" data-theme="c">
        	<br>
    	    <ul data-role="listview" data-inset="true" id="addDevDevList" data-theme="c"></ul>
    	    <br>	
        </div>
        <a href="#" data-rel="back" data-role="button" id="AddDeviceDoneButton">Done</a>
      </div>
    </div> 
   </div>
</div>        
    <script> 

      deviceListClient = new DeviceListClient();
      
      deviceListClient.getDeviceList();     
    
      $("#AddDeviceButton").click(function() {
      	//clear the device list from prvious run
      	var li = '';
      	$('#addDevDevList').html(li);      
        $('#addDevDevList').html(li).promise().done(function () {
          //refresh here - $(this) refers to ul here
          $(this).listview("refresh");
          //causes a refresh to happen on the elements such as button etc. WHICH lie inside ul
          $(this).trigger("create");
        });
      	
      	$.mobile.loading("show");
      	deviceListClient.AddNewDevMode = true;
      	//store the previous dev list sowe know the new devices
      	deviceListClient.prevDeviceList = self.deviceList;
      	//open the network
      	deviceListClient.socket.emit('addDevice'); 
      	//start a timer to open the network every 55s
      	deviceListClient.AddDevTimer = setInterval(function () {
      	  //opne the network for another 60s
      	  deviceListClient.socket.emit('addDevice'); 
      	}, 55000); 
      	       
      });
      
      $("#AddDeviceDoneButton").click(function() {
      	$.mobile.loading("hide");
      	deviceListClient.AddNewDevMode = true;
      	clearInterval(deviceListClient.AddDevTimer);
      	self.socket.emit('addDeviceDone');       	
      });
    
    </script>


</body>
</html>
